Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 452160

Summary: python.eclass: drop obsolete deprecating message
Product: Gentoo Linux Reporter: Pacho Ramos <pacho>
Component: Current packagesAssignee: Python Gentoo Team <python>
Status: RESOLVED FIXED    
Severity: normal CC: b4b1, icephoenix.nx1729+gentoo, papsch.al, randy
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Pacho Ramos gentoo-dev 2013-01-14 22:58:51 UTC
Please drop:
                # Deprecated part of python_mod_optimize()
                ewarn
                ewarn "Deprecation Warning: Usage of ${FUNCNAME}() in packages not supporting installation"
                ewarn "for multiple Python ABIs in EAPI <=2 is deprecated and will be disallowed on 2011-08-01."
                ewarn "Use EAPI >=3 and call ${FUNCNAME}() with paths having appropriate syntax."
                ewarn "The ebuild needs to be fixed. Please report a bug, if it has not been already reported."
                ewarn


As looks like they weren't finally disallowed on 2011-08-01 and people are still getting it for some ebuilds in the tree

Thanks

Reproducible: Always
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-03-02 12:55:20 UTC
I have taken the freedom of removing it, assuming that we will rather deprecate the eclass than remove this.
Comment 2 Pacho Ramos gentoo-dev 2013-03-02 18:26:14 UTC
*** Bug 392459 has been marked as a duplicate of this bug. ***
Comment 3 Pacho Ramos gentoo-dev 2013-03-02 18:26:21 UTC
*** Bug 395929 has been marked as a duplicate of this bug. ***
Comment 4 Pacho Ramos gentoo-dev 2013-03-02 18:26:26 UTC
*** Bug 434722 has been marked as a duplicate of this bug. ***
Comment 5 Pacho Ramos gentoo-dev 2013-03-02 18:26:33 UTC
*** Bug 454562 has been marked as a duplicate of this bug. ***
Comment 6 Pacho Ramos gentoo-dev 2013-03-02 18:26:38 UTC
*** Bug 392463 has been marked as a duplicate of this bug. ***